﻿using Infragistics.Windows.DataPresenter;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDGAddChildDynamicallyCase
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        Random r = new Random();
        private void MenuItem_Click(object sender, RoutedEventArgs e)
        {
            MenuItem item = sender as MenuItem;

            ContextMenu menu = item.Parent as ContextMenu;

            DataRecordPresenter drp = menu.PlacementTarget as DataRecordPresenter;

            DataRecord record = drp.Record as DataRecord;

            if(record.DataItem is SampleData)
            {
                SampleData sd = record.DataItem as SampleData;
                sd.Children.Add(new ChildData() { ChildID = sd.Children.Count, ChildNumber = r.Next(1000)});
            }
        }
    }
}
